package org.jboss.errai.marshalling.client.api;

import com.google.gwt.core.shared.GWT;
import java.util.AbstractMap;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;
import javax.enterprise.context.Dependent;
import org.jboss.errai.marshalling.client.marshallers.BigDecimalMarshaller;
import org.jboss.errai.marshalling.client.marshallers.BigIntegerMarshaller;
import org.jboss.errai.marshalling.client.marshallers.BooleanMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ByteMarshaller;
import org.jboss.errai.marshalling.client.marshallers.CharacterMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ClientClassMarshaller;
import org.jboss.errai.marshalling.client.marshallers.DateMarshaller;
import org.jboss.errai.marshalling.client.marshallers.DoubleMarshaller;
import org.jboss.errai.marshalling.client.marshallers.FloatMarshaller;
import org.jboss.errai.marshalling.client.marshallers.IntegerMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedHashSetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedListMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedMapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ListMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LongMarshaller;
import org.jboss.errai.marshalling.client.marshallers.MapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ObjectMarshaller;
import org.jboss.errai.marshalling.client.marshallers.OptionalMarshaller;
import org.jboss.errai.marshalling.client.marshallers.PriorityQueueMarshaller;
import org.jboss.errai.marshalling.client.marshallers.QualifyingMarshallerWrapper;
import org.jboss.errai.marshalling.client.marshallers.QueueMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SQLDateMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ShortMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SortedMapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SortedSetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringBufferMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringBuilderMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringMarshaller;
import org.jboss.errai.marshalling.client.marshallers.TimeMarshaller;
import org.jboss.errai.marshalling.client.marshallers.TimestampMarshaller;
import org.uberfire.rpc.impl.SessionInfoMarshalller;
@Dependent public class MarshallerFactoryImpl implements MarshallerFactory {
  private Map<String, Marshaller> marshallers = new HashMap<String, Marshaller>();
  abstract class Marshaller_for_java_lang_Throwable implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_ArithmeticException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_io_IOException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_IllegalArgumentException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_util_EmptyStackException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_ArrayStoreException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_ClassCastException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_util_ConcurrentModificationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_IndexOutOfBoundsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_NegativeArraySizeException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_NullPointerException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_StringIndexOutOfBoundsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_UnsupportedOperationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_AssertionError implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_RuntimeException implements GeneratedMarshaller { }
  abstract class Marshaller_for_java_lang_StackTraceElement implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_SecurityException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_UnauthenticatedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_UnauthorizedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_AuthenticationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_sort_DataSetSort implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_NamedPosition implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_MediaAdded implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_UserNotFoundException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_bean_PreferenceRootElement implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_filter_LogicalExprFilter implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataprovider_BeanProviderType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_group_ColumnGroup implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceUpdatedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_NewPluginRegistered implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_Notification_erraiD_State implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_date_Month implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_impl_RoleManagerSettingsImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_file_exports_FileExportsPreferencesPortableGeneratedImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_NotDirectoryException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_mvp_impl_ForcedPlaceRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_CapabilityStatus implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_properties_editor_model_PropertyEditorFieldInfo implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_group_AggregateFunctionType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceRenamedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutComponent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_PluginContent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_date_Quarter implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_filter_CoreFunctionType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileSystemAlreadyExistsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_PartDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_PluginAdded implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_FailedAuthenticationException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileSystemNotFoundException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_services_shared_preferences_UserPreference implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_EntityNotFoundException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_ContextDisplayMode implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_PluginUnregistered implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_events_DataSetStaleEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutTemplate implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_services_shared_preferences_GridPreferencesStore implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceChangeType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_events_DataSetDefRegisteredEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_impl_SearchResponseImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_PluginAddedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_authz_AuthorizationResult implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_navigation_impl_NavTreeImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationPolicy implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_events_DataSetDefModifiedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_mvp_impl_PathPlaceRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_RuntimePlugin implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_events_DataSetPushOkEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_DirectoryNotEmptyException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_LayoutEditorModel implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_date_TimeFrame implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_exception_AlreadyLoggedInException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataprovider_SQLProviderType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_CodeType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_Language implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_navigation_service_LayoutTemplateInfo implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_events_DataSetModifiedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_plugin_RuntimePlugin implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_PropertyFormOptions implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_impl_SettingsImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_ContextDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_impl_PreferenceScopeImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_impl_LockResult implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceAdded implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_exception_PluginAlreadyExists implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutTemplate_erraiD_Style implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_services_shared_preferences_UserWorkbenchPreferences implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_impl_validation_ValidationResult implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_impl_LockInfo implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_InvalidPathException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutColumn implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_DataSetDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_DataColumnDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_NoSuchFileException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_events_DataSetPushingEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_BeanDataSetDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_impl_DataSetBuilderImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_impl_UserManagerSettingsImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileAlreadyExistsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_Plugin implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_SplashScreenFilterImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_shared_dashboard_events_DashboardDeletedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_impl_DefaultPreferenceScopeResolver implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences_erraiD_Orientation implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceUpdated implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_NotLinkException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataprovider_ELSProviderType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_FileSystemFactory_erraiD_FileSystemImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_paging_PageResponse implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_ProviderNotFoundException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_DynamicMenuItem implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_properties_editor_model_validators_TextValidator implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_Media implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_sort_ColumnSort implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataprovider_DefaultProviderType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_group_DataSetGroup implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_api_RoleImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_PatternSyntaxException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_impl_PreferenceScopedValue implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_navigation_impl_NavItemImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceOpenedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_filter_CoreFunctionFilter implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_date_TimeAmount implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceAddedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_SQLDataSourceDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_bean_PreferenceHierarchyElement implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_displayer_DisplayerSettings implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_impl_GroupManagerSettingsImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_impl_DataSetMetadataImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_common_client_PageRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceCopiedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_IOException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_properties_editor_model_validators_LongValidator implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_StaticDataSetDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_PluginSaved implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences_erraiD_Format implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_PluginRenamed implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_impl_DirectoryStreamImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_readonly_ReadOnlyPathPlaceRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_filter_DataSetFilter implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_UberfireJSAPIReadyEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_paging_PageRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DefaultPermissionCollection implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_date_DayOfWeek implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_impl_DataColumnImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_impl_UserAttributeImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_DataSetLookup implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_mvp_impl_DefaultPlaceRequest implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_sort_SortedList implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceDeleted implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_impl_DataSetImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_PanelDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataprovider_StaticProviderType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_events_DataSetDefRemovedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceCopied implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DotNamedPermission implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_NoImplementationAvailableException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_SecurityManagementException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_api_identity_UserImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_backend_EditDataSetDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_Notification implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_navigation_impl_NavGroupImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_navigation_impl_NavDividerImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_PluginType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_group_GroupStrategy implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_SQLDataSetDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_impl_DataSetLookupBuilderImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_FileSystemException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_PluginReloadedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_Capability implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceBatchChangesEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_group_Interval implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceRenamed implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_properties_editor_model_validators_ColorValidator implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_filter_LogicalExprType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_AccessDeniedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_impl_PerspectiveDefinitionImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_GroupNotFoundException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_DynamicMenu implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_PluginSimpleContent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataprovider_CSVProviderType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_displayer_ColumnSettings implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_MediaDeleted implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_impl_exception_InvalidPreferenceScopeException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_properties_editor_model_PropertyEditorCategory implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_AtomicMoveNotSupportedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_PathFactory_erraiD_PathImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_ColumnType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_Activity implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_bean_mock_PortablePreferenceMockPortableGeneratedImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutRow implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_services_shared_preferences_MultiGridPreferencesStore implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_OperationFailedException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_impl_SearchRequestImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_displayer_impl_TableDisplayerSettingsBuilderImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_vfs_impl_ObservablePathImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_model_Framework implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_group_DateIntervalType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_version_impl_PortableVersionRecord implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_jboss_errai_security_shared_api_GroupImpl implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_group_GroupFunction implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_UnsupportedServiceCapabilityException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_ElasticSearchDataSetDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_def_CSVDataSetDef implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_services_shared_preferences_GridColumnPreference implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_plugin_event_PluginDeleted implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_PluginUpdatedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_ResourceDeletedEvent implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_impl_PreferenceScopeResolutionStrategyInfo implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_exception_DataSetLookupException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_java_nio_file_ClosedWatchServiceException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationEntry implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_services_shared_preferences_GridGlobalPreferences implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_date_TimeInstant implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences_erraiD_Unit implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_security_management_api_exception_UserAlreadyExistsException implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_model_CompassPosition implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_editor_commons_file_exports_FileExportsPreferences implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_preferences_shared_bean_mock_PortablePreferenceMock implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_properties_editor_model_PropertyEditorType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_ext_services_shared_preferences_UserPreferencesType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_backend_plugin_PluginProcessor_erraiD_PluginProcessorType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_sort_SortOrder implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_navigation_NavItem_erraiD_Type implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_uberfire_workbench_events_NotificationEvent_erraiD_NotificationType implements GeneratedMarshaller { }
  abstract class Marshaller_for_org_dashbuilder_dataset_date_TimeInstant_erraiD_TimeMode implements GeneratedMarshaller { }
  public MarshallerFactoryImpl() {
    final ObjectMarshaller java_lang_Object = new ObjectMarshaller();
    marshallers.put("java.lang.Object", java_lang_Object);
    final BigDecimalMarshaller java_math_BigDecimal = new BigDecimalMarshaller();
    marshallers.put("java.math.BigDecimal", java_math_BigDecimal);
    final QualifyingMarshallerWrapper<Map> java_util_Map = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.Map", java_util_Map);
    marshallers.put("java.util.AbstractMap", java_util_Map);
    marshallers.put("java.util.HashMap", java_util_Map);
    marshallers.put("java.util.Collections$SynchronizedMap", java_util_Map);
    marshallers.put("java.util.Collections$EmptyMap", java_util_Map);
    marshallers.put("java.util.Collections$UnmodifiableMap", java_util_Map);
    marshallers.put("java.util.Collections$SingletonMap", java_util_Map);
    final QualifyingMarshallerWrapper<AbstractMap> java_util_AbstractMap = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.AbstractMap", java_util_AbstractMap);
    final QualifyingMarshallerWrapper<HashMap> java_util_HashMap = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.HashMap", java_util_HashMap);
    final BooleanMarshaller java_lang_Boolean = new BooleanMarshaller();
    marshallers.put("java.lang.Boolean", java_lang_Boolean);
    final DateMarshaller java_util_Date = new DateMarshaller();
    marshallers.put("java.util.Date", java_util_Date);
    final FloatMarshaller java_lang_Float = new FloatMarshaller();
    marshallers.put("java.lang.Float", java_lang_Float);
    final ByteMarshaller java_lang_Byte = new ByteMarshaller();
    marshallers.put("java.lang.Byte", java_lang_Byte);
    final QualifyingMarshallerWrapper<LinkedHashMap> java_util_LinkedHashMap = new QualifyingMarshallerWrapper(new LinkedMapMarshaller(), LinkedMapMarshaller.class);
    marshallers.put("java.util.LinkedHashMap", java_util_LinkedHashMap);
    final QualifyingMarshallerWrapper<SortedMap> java_util_SortedMap = new QualifyingMarshallerWrapper(new SortedMapMarshaller(), SortedMapMarshaller.class);
    marshallers.put("java.util.SortedMap", java_util_SortedMap);
    marshallers.put("java.util.TreeMap", java_util_SortedMap);
    marshallers.put("java.util.Collections$SynchronizedSortedMap", java_util_SortedMap);
    marshallers.put("java.util.Collections$UnmodifiableSortedMap", java_util_SortedMap);
    final QualifyingMarshallerWrapper<TreeMap> java_util_TreeMap = new QualifyingMarshallerWrapper(new SortedMapMarshaller(), SortedMapMarshaller.class);
    marshallers.put("java.util.TreeMap", java_util_TreeMap);
    final DoubleMarshaller java_lang_Double = new DoubleMarshaller();
    marshallers.put("java.lang.Double", java_lang_Double);
    final BigIntegerMarshaller java_math_BigInteger = new BigIntegerMarshaller();
    marshallers.put("java.math.BigInteger", java_math_BigInteger);
    final SQLDateMarshaller java_sql_Date = new SQLDateMarshaller();
    marshallers.put("java.sql.Date", java_sql_Date);
    final StringMarshaller java_lang_String = new StringMarshaller();
    marshallers.put("java.lang.String", java_lang_String);
    final SessionInfoMarshalller org_uberfire_rpc_SessionInfo = new SessionInfoMarshalller();
    marshallers.put("org.uberfire.rpc.SessionInfo", org_uberfire_rpc_SessionInfo);
    final LinkedHashSetMarshaller java_util_LinkedHashSet = new LinkedHashSetMarshaller();
    marshallers.put("java.util.LinkedHashSet", java_util_LinkedHashSet);
    final StringBuilderMarshaller java_lang_StringBuilder = new StringBuilderMarshaller();
    marshallers.put("java.lang.StringBuilder", java_lang_StringBuilder);
    final IntegerMarshaller java_lang_Integer = new IntegerMarshaller();
    marshallers.put("java.lang.Integer", java_lang_Integer);
    final TimestampMarshaller java_sql_Timestamp = new TimestampMarshaller();
    marshallers.put("java.sql.Timestamp", java_sql_Timestamp);
    final SetMarshaller java_util_Set = new SetMarshaller();
    marshallers.put("java.util.Set", java_util_Set);
    marshallers.put("java.util.AbstractSet", java_util_Set);
    marshallers.put("java.util.HashSet", java_util_Set);
    marshallers.put("java.util.Collections$SynchronizedSet", java_util_Set);
    marshallers.put("java.util.Collections$UnmodifiableSet", java_util_Set);
    marshallers.put("java.util.Collections$SingletonSet", java_util_Set);
    marshallers.put("java.util.Collections$EmptySet", java_util_Set);
    final SetMarshaller java_util_AbstractSet = new SetMarshaller();
    marshallers.put("java.util.AbstractSet", java_util_AbstractSet);
    final SetMarshaller java_util_HashSet = new SetMarshaller();
    marshallers.put("java.util.HashSet", java_util_HashSet);
    final LinkedListMarshaller java_util_LinkedList = new LinkedListMarshaller();
    marshallers.put("java.util.LinkedList", java_util_LinkedList);
    final LongMarshaller java_lang_Long = new LongMarshaller();
    marshallers.put("java.lang.Long", java_lang_Long);
    final ClientClassMarshaller java_lang_Class = new ClientClassMarshaller();
    marshallers.put("java.lang.Class", java_lang_Class);
    final ListMarshaller java_util_List = new ListMarshaller();
    marshallers.put("java.util.List", java_util_List);
    marshallers.put("java.util.AbstractList", java_util_List);
    marshallers.put("java.util.ArrayList", java_util_List);
    marshallers.put("java.util.Vector", java_util_List);
    marshallers.put("java.util.Stack", java_util_List);
    marshallers.put("java.util.Collections$SynchronizedRandomAccessList", java_util_List);
    marshallers.put("java.util.Collections$SynchronizedList", java_util_List);
    marshallers.put("java.util.Collections$SingletonList", java_util_List);
    marshallers.put("java.util.Collections$EmptyList", java_util_List);
    marshallers.put("java.util.Collections$UnmodifiableRandomAccessList", java_util_List);
    marshallers.put("java.util.Collections$UnmodifiableList", java_util_List);
    marshallers.put("java.util.Arrays$ArrayList", java_util_List);
    final ListMarshaller java_util_AbstractList = new ListMarshaller();
    marshallers.put("java.util.AbstractList", java_util_AbstractList);
    final ListMarshaller java_util_ArrayList = new ListMarshaller();
    marshallers.put("java.util.ArrayList", java_util_ArrayList);
    final ListMarshaller java_util_Vector = new ListMarshaller();
    marshallers.put("java.util.Vector", java_util_Vector);
    final ListMarshaller java_util_Stack = new ListMarshaller();
    marshallers.put("java.util.Stack", java_util_Stack);
    final QueueMarshaller java_util_Queue = new QueueMarshaller();
    marshallers.put("java.util.Queue", java_util_Queue);
    marshallers.put("java.util.AbstractQueue", java_util_Queue);
    final QueueMarshaller java_util_AbstractQueue = new QueueMarshaller();
    marshallers.put("java.util.AbstractQueue", java_util_AbstractQueue);
    final ShortMarshaller java_lang_Short = new ShortMarshaller();
    marshallers.put("java.lang.Short", java_lang_Short);
    final OptionalMarshaller java_util_Optional = new OptionalMarshaller();
    marshallers.put("java.util.Optional", java_util_Optional);
    final CharacterMarshaller java_lang_Character = new CharacterMarshaller();
    marshallers.put("java.lang.Character", java_lang_Character);
    final StringBufferMarshaller java_lang_StringBuffer = new StringBufferMarshaller();
    marshallers.put("java.lang.StringBuffer", java_lang_StringBuffer);
    final TimeMarshaller java_sql_Time = new TimeMarshaller();
    marshallers.put("java.sql.Time", java_sql_Time);
    final SortedSetMarshaller java_util_SortedSet = new SortedSetMarshaller();
    marshallers.put("java.util.SortedSet", java_util_SortedSet);
    marshallers.put("java.util.TreeSet", java_util_SortedSet);
    marshallers.put("java.util.Collections$UnmodifiableSortedSet", java_util_SortedSet);
    marshallers.put("java.util.Collections$SynchronizedSortedSet", java_util_SortedSet);
    final SortedSetMarshaller java_util_TreeSet = new SortedSetMarshaller();
    marshallers.put("java.util.TreeSet", java_util_TreeSet);
    final PriorityQueueMarshaller java_util_PriorityQueue = new PriorityQueueMarshaller();
    marshallers.put("java.util.PriorityQueue", java_util_PriorityQueue);
  }

  private boolean putIfNotNull(String fqcn, Marshaller m) {
    if (m != null) {
      marshallers.put(fqcn, m);
      return true;
    } else {
      return false;
    }
  }

  private boolean loadMarshaller0(String a0) {
    Marshaller m = null;
    if ("java.lang.Throwable".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_Throwable.class);
    } else if ("java.lang.ArithmeticException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_ArithmeticException.class);
    } else if ("java.io.IOException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_io_IOException.class);
    } else if ("java.lang.IllegalArgumentException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_IllegalArgumentException.class);
    } else if ("java.util.EmptyStackException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_util_EmptyStackException.class);
    } else if ("java.lang.ArrayStoreException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_ArrayStoreException.class);
    } else if ("java.lang.ClassCastException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_ClassCastException.class);
    } else if ("java.util.ConcurrentModificationException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_util_ConcurrentModificationException.class);
    } else if ("java.lang.IndexOutOfBoundsException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_IndexOutOfBoundsException.class);
    } else if ("java.lang.NegativeArraySizeException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_NegativeArraySizeException.class);
    } else if ("java.lang.NullPointerException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_NullPointerException.class);
    } else if ("java.lang.StringIndexOutOfBoundsException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_StringIndexOutOfBoundsException.class);
    } else if ("java.lang.UnsupportedOperationException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_UnsupportedOperationException.class);
    } else if ("java.lang.AssertionError".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_AssertionError.class);
    } else if ("java.lang.RuntimeException".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_RuntimeException.class);
    } else if ("java.lang.StackTraceElement".equals(a0)) {
      m = GWT.create(Marshaller_for_java_lang_StackTraceElement.class);
    } else if ("org.jboss.errai.security.shared.exception.SecurityException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_SecurityException.class);
    } else if ("org.jboss.errai.security.shared.exception.UnauthenticatedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_UnauthenticatedException.class);
    } else if ("org.jboss.errai.security.shared.exception.UnauthorizedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_UnauthorizedException.class);
    } else if ("org.jboss.errai.security.shared.exception.AuthenticationException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_AuthenticationException.class);
    } else if ("org.dashbuilder.dataset.sort.DataSetSort".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_sort_DataSetSort.class);
    } else if ("org.uberfire.workbench.model.NamedPosition".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_NamedPosition.class);
    } else if ("org.uberfire.ext.plugin.event.MediaAdded".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_MediaAdded.class);
    } else if ("org.uberfire.ext.security.management.api.exception.UserNotFoundException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_UserNotFoundException.class);
    } else if ("org.uberfire.preferences.shared.bean.PreferenceRootElement".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_bean_PreferenceRootElement.class);
    } else if ("org.dashbuilder.dataset.filter.LogicalExprFilter".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_filter_LogicalExprFilter.class);
    } else if ("org.dashbuilder.dataprovider.BeanProviderType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataprovider_BeanProviderType.class);
    } else if ("org.dashbuilder.dataset.group.ColumnGroup".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_group_ColumnGroup.class);
    } else if ("org.uberfire.workbench.events.ResourceUpdatedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceUpdatedEvent.class);
    } else if ("org.uberfire.ext.plugin.event.NewPluginRegistered".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_NewPluginRegistered.class);
    } else if ("org.uberfire.workbench.model.Notification$State".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_Notification_erraiD_State.class);
    } else if ("org.dashbuilder.dataset.date.Month".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_date_Month.class);
    } else if ("org.uberfire.ext.security.management.impl.RoleManagerSettingsImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_impl_RoleManagerSettingsImpl.class);
    } else if ("org.uberfire.ext.editor.commons.file.exports.FileExportsPreferencesPortableGeneratedImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_file_exports_FileExportsPreferencesPortableGeneratedImpl.class);
    } else if ("org.uberfire.java.nio.file.NotDirectoryException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_NotDirectoryException.class);
    } else if ("org.uberfire.mvp.impl.ForcedPlaceRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_mvp_impl_ForcedPlaceRequest.class);
    } else if ("org.uberfire.ext.security.management.api.CapabilityStatus".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_CapabilityStatus.class);
    } else if ("org.uberfire.ext.properties.editor.model.PropertyEditorFieldInfo".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_properties_editor_model_PropertyEditorFieldInfo.class);
    } else if ("org.dashbuilder.dataset.group.AggregateFunctionType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_group_AggregateFunctionType.class);
    } else if ("org.uberfire.workbench.events.ResourceRenamedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceRenamedEvent.class);
    } else if ("org.uberfire.ext.layout.editor.api.editor.LayoutComponent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutComponent.class);
    } else if ("org.uberfire.ext.plugin.model.PluginContent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_PluginContent.class);
    } else if ("org.dashbuilder.dataset.date.Quarter".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_date_Quarter.class);
    } else if ("org.dashbuilder.dataset.filter.CoreFunctionType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_filter_CoreFunctionType.class);
    } else if ("org.uberfire.java.nio.file.FileSystemAlreadyExistsException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileSystemAlreadyExistsException.class);
    } else if ("org.uberfire.workbench.model.impl.PartDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_PartDefinitionImpl.class);
    } else if ("org.uberfire.ext.plugin.event.PluginAdded".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_PluginAdded.class);
    } else if ("org.jboss.errai.security.shared.exception.FailedAuthenticationException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_FailedAuthenticationException.class);
    } else if ("org.uberfire.java.nio.file.FileSystemNotFoundException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileSystemNotFoundException.class);
    } else if ("org.uberfire.ext.services.shared.preferences.UserPreference".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_services_shared_preferences_UserPreference.class);
    } else if ("org.uberfire.ext.security.management.api.exception.EntityNotFoundException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_EntityNotFoundException.class);
    } else if ("org.uberfire.workbench.model.ContextDisplayMode".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_ContextDisplayMode.class);
    } else if ("org.uberfire.ext.plugin.event.PluginUnregistered".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_PluginUnregistered.class);
    } else if ("org.dashbuilder.dataset.events.DataSetStaleEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_events_DataSetStaleEvent.class);
    } else if ("org.uberfire.ext.layout.editor.api.editor.LayoutTemplate".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutTemplate.class);
    } else if ("org.uberfire.ext.services.shared.preferences.GridPreferencesStore".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_services_shared_preferences_GridPreferencesStore.class);
    } else if ("org.uberfire.workbench.events.ResourceChangeType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceChangeType.class);
    } else if ("org.dashbuilder.dataset.events.DataSetDefRegisteredEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_events_DataSetDefRegisteredEvent.class);
    } else if ("org.uberfire.ext.security.management.impl.SearchResponseImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_impl_SearchResponseImpl.class);
    } else if ("org.uberfire.workbench.events.PluginAddedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_PluginAddedEvent.class);
    } else if ("org.uberfire.security.authz.AuthorizationResult".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_authz_AuthorizationResult.class);
    } else if ("org.dashbuilder.navigation.impl.NavTreeImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_navigation_impl_NavTreeImpl.class);
    } else if ("org.uberfire.security.impl.authz.DefaultAuthorizationPolicy".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationPolicy.class);
    } else if ("org.dashbuilder.dataset.events.DataSetDefModifiedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_events_DataSetDefModifiedEvent.class);
    } else if ("org.uberfire.mvp.impl.PathPlaceRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_mvp_impl_PathPlaceRequest.class);
    } else if ("org.uberfire.ext.plugin.model.RuntimePlugin".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_RuntimePlugin.class);
    } else if ("org.dashbuilder.dataset.events.DataSetPushOkEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_events_DataSetPushOkEvent.class);
    } else if ("org.uberfire.java.nio.file.DirectoryNotEmptyException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_DirectoryNotEmptyException.class);
    } else if ("org.uberfire.ext.plugin.model.LayoutEditorModel".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_LayoutEditorModel.class);
    } else if ("org.dashbuilder.dataset.date.TimeFrame".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_date_TimeFrame.class);
    } else if ("org.jboss.errai.security.shared.exception.AlreadyLoggedInException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_exception_AlreadyLoggedInException.class);
    } else if ("org.dashbuilder.dataprovider.SQLProviderType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataprovider_SQLProviderType.class);
    } else if ("org.uberfire.ext.plugin.model.CodeType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_CodeType.class);
    } else if ("org.uberfire.ext.plugin.model.Language".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_Language.class);
    } else if ("org.dashbuilder.navigation.service.LayoutTemplateInfo".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_navigation_service_LayoutTemplateInfo.class);
    } else if ("org.dashbuilder.dataset.events.DataSetModifiedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_events_DataSetModifiedEvent.class);
    } else if ("org.uberfire.backend.plugin.RuntimePlugin".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_plugin_RuntimePlugin.class);
    } else if ("org.uberfire.preferences.shared.PropertyFormOptions".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_PropertyFormOptions.class);
    } else if ("org.uberfire.ext.security.management.impl.SettingsImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_impl_SettingsImpl.class);
    } else if ("org.uberfire.workbench.model.impl.ContextDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_ContextDefinitionImpl.class);
    } else if ("org.uberfire.preferences.shared.impl.PreferenceScopeImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_impl_PreferenceScopeImpl.class);
    } else if ("org.uberfire.backend.vfs.impl.LockResult".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_impl_LockResult.class);
    } else if ("org.uberfire.workbench.events.ResourceAdded".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceAdded.class);
    } else if ("org.uberfire.ext.plugin.exception.PluginAlreadyExists".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_exception_PluginAlreadyExists.class);
    } else if ("org.uberfire.ext.layout.editor.api.editor.LayoutTemplate$Style".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutTemplate_erraiD_Style.class);
    } else if ("org.uberfire.ext.services.shared.preferences.UserWorkbenchPreferences".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_services_shared_preferences_UserWorkbenchPreferences.class);
    } else if ("org.uberfire.preferences.shared.impl.validation.ValidationResult".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_impl_validation_ValidationResult.class);
    } else if ("org.uberfire.backend.vfs.impl.LockInfo".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_impl_LockInfo.class);
    } else if ("org.uberfire.java.nio.file.InvalidPathException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_InvalidPathException.class);
    } else if ("org.uberfire.ext.layout.editor.api.editor.LayoutColumn".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutColumn.class);
    } else if ("org.dashbuilder.dataset.def.DataSetDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_DataSetDef.class);
    } else if ("org.dashbuilder.dataset.def.DataColumnDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_DataColumnDef.class);
    } else if ("org.uberfire.java.nio.file.NoSuchFileException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_NoSuchFileException.class);
    } else if ("org.dashbuilder.dataset.events.DataSetPushingEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_events_DataSetPushingEvent.class);
    } else if ("org.dashbuilder.dataset.def.BeanDataSetDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_BeanDataSetDef.class);
    } else if ("org.dashbuilder.dataset.impl.DataSetBuilderImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_impl_DataSetBuilderImpl.class);
    } else if ("org.uberfire.ext.security.management.impl.UserManagerSettingsImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_impl_UserManagerSettingsImpl.class);
    } else if ("org.uberfire.java.nio.file.FileAlreadyExistsException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileAlreadyExistsException.class);
    } else if ("org.uberfire.ext.plugin.model.Plugin".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_Plugin.class);
    } else if ("org.uberfire.workbench.model.impl.SplashScreenFilterImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_SplashScreenFilterImpl.class);
    }
    return putIfNotNull(a0, m);
  }

  private boolean loadMarshaller1(String a0) {
    Marshaller m = null;
    if ("org.dashbuilder.shared.dashboard.events.DashboardDeletedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_shared_dashboard_events_DashboardDeletedEvent.class);
    } else if ("org.uberfire.preferences.shared.impl.DefaultPreferenceScopeResolver".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_impl_DefaultPreferenceScopeResolver.class);
    } else if ("org.uberfire.ext.editor.commons.file.exports.PdfExportPreferences$Orientation".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences_erraiD_Orientation.class);
    } else if ("org.uberfire.workbench.events.ResourceUpdated".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceUpdated.class);
    } else if ("org.uberfire.java.nio.file.NotLinkException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_NotLinkException.class);
    } else if ("org.dashbuilder.dataprovider.ELSProviderType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataprovider_ELSProviderType.class);
    } else if ("org.uberfire.backend.vfs.FileSystemFactory$FileSystemImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_FileSystemFactory_erraiD_FileSystemImpl.class);
    } else if ("org.uberfire.paging.PageResponse".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_paging_PageResponse.class);
    } else if ("org.uberfire.java.nio.file.ProviderNotFoundException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_ProviderNotFoundException.class);
    } else if ("org.uberfire.ext.plugin.model.DynamicMenuItem".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_DynamicMenuItem.class);
    } else if ("org.uberfire.ext.properties.editor.model.validators.TextValidator".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_properties_editor_model_validators_TextValidator.class);
    } else if ("org.uberfire.ext.plugin.model.Media".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_Media.class);
    } else if ("org.dashbuilder.dataset.sort.ColumnSort".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_sort_ColumnSort.class);
    } else if ("org.dashbuilder.dataprovider.DefaultProviderType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataprovider_DefaultProviderType.class);
    } else if ("org.dashbuilder.dataset.group.DataSetGroup".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_group_DataSetGroup.class);
    } else if ("org.jboss.errai.security.shared.api.RoleImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_api_RoleImpl.class);
    } else if ("org.uberfire.java.nio.file.PatternSyntaxException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_PatternSyntaxException.class);
    } else if ("org.uberfire.preferences.shared.impl.PreferenceScopedValue".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_impl_PreferenceScopedValue.class);
    } else if ("org.dashbuilder.navigation.impl.NavItemImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_navigation_impl_NavItemImpl.class);
    } else if ("org.uberfire.workbench.events.ResourceOpenedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceOpenedEvent.class);
    } else if ("org.dashbuilder.dataset.filter.CoreFunctionFilter".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_filter_CoreFunctionFilter.class);
    } else if ("org.dashbuilder.dataset.date.TimeAmount".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_date_TimeAmount.class);
    } else if ("org.uberfire.workbench.events.ResourceAddedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceAddedEvent.class);
    } else if ("org.dashbuilder.dataset.def.SQLDataSourceDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_SQLDataSourceDef.class);
    } else if ("org.uberfire.preferences.shared.bean.PreferenceHierarchyElement".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_bean_PreferenceHierarchyElement.class);
    } else if ("org.dashbuilder.displayer.DisplayerSettings".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_displayer_DisplayerSettings.class);
    } else if ("org.uberfire.ext.security.management.impl.GroupManagerSettingsImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_impl_GroupManagerSettingsImpl.class);
    } else if ("org.dashbuilder.dataset.impl.DataSetMetadataImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_impl_DataSetMetadataImpl.class);
    } else if ("org.jboss.errai.common.client.PageRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_common_client_PageRequest.class);
    } else if ("org.uberfire.workbench.events.ResourceCopiedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceCopiedEvent.class);
    } else if ("org.uberfire.java.nio.IOException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_IOException.class);
    } else if ("org.uberfire.ext.properties.editor.model.validators.LongValidator".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_properties_editor_model_validators_LongValidator.class);
    } else if ("org.dashbuilder.dataset.def.StaticDataSetDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_StaticDataSetDef.class);
    } else if ("org.uberfire.ext.plugin.event.PluginSaved".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_PluginSaved.class);
    } else if ("org.uberfire.ext.editor.commons.file.exports.PdfExportPreferences$Format".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences_erraiD_Format.class);
    } else if ("org.uberfire.ext.plugin.event.PluginRenamed".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_PluginRenamed.class);
    } else if ("org.uberfire.backend.vfs.impl.DirectoryStreamImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_impl_DirectoryStreamImpl.class);
    } else if ("org.uberfire.ext.editor.commons.readonly.ReadOnlyPathPlaceRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_readonly_ReadOnlyPathPlaceRequest.class);
    } else if ("org.dashbuilder.dataset.filter.DataSetFilter".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_filter_DataSetFilter.class);
    } else if ("org.uberfire.workbench.events.UberfireJSAPIReadyEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_UberfireJSAPIReadyEvent.class);
    } else if ("org.uberfire.paging.PageRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_paging_PageRequest.class);
    } else if ("org.uberfire.security.impl.authz.DefaultPermissionCollection".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DefaultPermissionCollection.class);
    } else if ("org.dashbuilder.dataset.date.DayOfWeek".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_date_DayOfWeek.class);
    } else if ("org.dashbuilder.dataset.impl.DataColumnImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_impl_DataColumnImpl.class);
    } else if ("org.uberfire.ext.security.management.impl.UserAttributeImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_impl_UserAttributeImpl.class);
    } else if ("org.dashbuilder.dataset.DataSetLookup".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_DataSetLookup.class);
    } else if ("org.uberfire.mvp.impl.DefaultPlaceRequest".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_mvp_impl_DefaultPlaceRequest.class);
    } else if ("org.dashbuilder.dataset.sort.SortedList".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_sort_SortedList.class);
    } else if ("org.uberfire.workbench.events.ResourceDeleted".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceDeleted.class);
    } else if ("org.dashbuilder.dataset.impl.DataSetImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_impl_DataSetImpl.class);
    } else if ("org.uberfire.workbench.model.impl.PanelDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_PanelDefinitionImpl.class);
    } else if ("org.dashbuilder.dataprovider.StaticProviderType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataprovider_StaticProviderType.class);
    } else if ("org.dashbuilder.dataset.events.DataSetDefRemovedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_events_DataSetDefRemovedEvent.class);
    } else if ("org.uberfire.workbench.events.ResourceCopied".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceCopied.class);
    } else if ("org.uberfire.security.impl.authz.DotNamedPermission".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DotNamedPermission.class);
    } else if ("org.uberfire.ext.security.management.api.exception.NoImplementationAvailableException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_NoImplementationAvailableException.class);
    } else if ("org.uberfire.ext.security.management.api.exception.SecurityManagementException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_SecurityManagementException.class);
    } else if ("org.jboss.errai.security.shared.api.identity.UserImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_api_identity_UserImpl.class);
    } else if ("org.dashbuilder.dataset.backend.EditDataSetDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_backend_EditDataSetDef.class);
    } else if ("org.uberfire.workbench.model.Notification".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_Notification.class);
    } else if ("org.dashbuilder.navigation.impl.NavGroupImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_navigation_impl_NavGroupImpl.class);
    } else if ("org.dashbuilder.navigation.impl.NavDividerImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_navigation_impl_NavDividerImpl.class);
    } else if ("org.uberfire.ext.plugin.model.PluginType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_PluginType.class);
    } else if ("org.dashbuilder.dataset.group.GroupStrategy".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_group_GroupStrategy.class);
    } else if ("org.dashbuilder.dataset.def.SQLDataSetDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_SQLDataSetDef.class);
    } else if ("org.dashbuilder.dataset.impl.DataSetLookupBuilderImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_impl_DataSetLookupBuilderImpl.class);
    } else if ("org.uberfire.java.nio.file.FileSystemException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_FileSystemException.class);
    } else if ("org.uberfire.workbench.events.PluginReloadedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_PluginReloadedEvent.class);
    } else if ("org.uberfire.ext.security.management.api.Capability".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_Capability.class);
    } else if ("org.uberfire.workbench.events.ResourceBatchChangesEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceBatchChangesEvent.class);
    } else if ("org.dashbuilder.dataset.group.Interval".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_group_Interval.class);
    } else if ("org.uberfire.workbench.events.ResourceRenamed".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceRenamed.class);
    } else if ("org.uberfire.ext.properties.editor.model.validators.ColorValidator".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_properties_editor_model_validators_ColorValidator.class);
    } else if ("org.dashbuilder.dataset.filter.LogicalExprType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_filter_LogicalExprType.class);
    } else if ("org.uberfire.java.nio.file.AccessDeniedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_AccessDeniedException.class);
    } else if ("org.uberfire.ext.editor.commons.file.exports.PdfExportPreferences".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences.class);
    } else if ("org.uberfire.workbench.model.impl.PerspectiveDefinitionImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_impl_PerspectiveDefinitionImpl.class);
    } else if ("org.uberfire.ext.security.management.api.exception.GroupNotFoundException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_GroupNotFoundException.class);
    } else if ("org.uberfire.ext.plugin.model.DynamicMenu".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_DynamicMenu.class);
    } else if ("org.uberfire.ext.plugin.model.PluginSimpleContent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_PluginSimpleContent.class);
    } else if ("org.dashbuilder.dataprovider.CSVProviderType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataprovider_CSVProviderType.class);
    } else if ("org.dashbuilder.displayer.ColumnSettings".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_displayer_ColumnSettings.class);
    } else if ("org.uberfire.ext.plugin.event.MediaDeleted".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_MediaDeleted.class);
    } else if ("org.uberfire.preferences.shared.impl.exception.InvalidPreferenceScopeException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_impl_exception_InvalidPreferenceScopeException.class);
    } else if ("org.uberfire.ext.properties.editor.model.PropertyEditorCategory".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_properties_editor_model_PropertyEditorCategory.class);
    } else if ("org.uberfire.java.nio.file.AtomicMoveNotSupportedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_AtomicMoveNotSupportedException.class);
    } else if ("org.uberfire.backend.vfs.PathFactory$PathImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_PathFactory_erraiD_PathImpl.class);
    } else if ("org.dashbuilder.dataset.ColumnType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_ColumnType.class);
    } else if ("org.uberfire.ext.plugin.model.Activity".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_Activity.class);
    } else if ("org.uberfire.preferences.shared.bean.mock.PortablePreferenceMockPortableGeneratedImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_bean_mock_PortablePreferenceMockPortableGeneratedImpl.class);
    } else if ("org.uberfire.ext.layout.editor.api.editor.LayoutRow".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_layout_editor_api_editor_LayoutRow.class);
    } else if ("org.uberfire.ext.services.shared.preferences.MultiGridPreferencesStore".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_services_shared_preferences_MultiGridPreferencesStore.class);
    } else if ("org.uberfire.ext.security.management.api.exception.OperationFailedException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_OperationFailedException.class);
    } else if ("org.uberfire.ext.security.management.impl.SearchRequestImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_impl_SearchRequestImpl.class);
    } else if ("org.dashbuilder.displayer.impl.TableDisplayerSettingsBuilderImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_displayer_impl_TableDisplayerSettingsBuilderImpl.class);
    } else if ("org.uberfire.backend.vfs.impl.ObservablePathImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_vfs_impl_ObservablePathImpl.class);
    } else if ("org.uberfire.ext.plugin.model.Framework".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_model_Framework.class);
    } else if ("org.dashbuilder.dataset.group.DateIntervalType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_group_DateIntervalType.class);
    } else if ("org.uberfire.ext.editor.commons.version.impl.PortableVersionRecord".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_version_impl_PortableVersionRecord.class);
    } else if ("org.jboss.errai.security.shared.api.GroupImpl".equals(a0)) {
      m = GWT.create(Marshaller_for_org_jboss_errai_security_shared_api_GroupImpl.class);
    }
    return putIfNotNull(a0, m);
  }

  private boolean loadMarshaller2(String a0) {
    Marshaller m = null;
    if ("org.dashbuilder.dataset.group.GroupFunction".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_group_GroupFunction.class);
    } else if ("org.uberfire.ext.security.management.api.exception.UnsupportedServiceCapabilityException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_UnsupportedServiceCapabilityException.class);
    } else if ("org.dashbuilder.dataset.def.ElasticSearchDataSetDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_ElasticSearchDataSetDef.class);
    } else if ("org.dashbuilder.dataset.def.CSVDataSetDef".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_def_CSVDataSetDef.class);
    } else if ("org.uberfire.ext.services.shared.preferences.GridColumnPreference".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_services_shared_preferences_GridColumnPreference.class);
    } else if ("org.uberfire.ext.plugin.event.PluginDeleted".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_plugin_event_PluginDeleted.class);
    } else if ("org.uberfire.workbench.events.PluginUpdatedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_PluginUpdatedEvent.class);
    } else if ("org.uberfire.workbench.events.ResourceDeletedEvent".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_ResourceDeletedEvent.class);
    } else if ("org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_impl_PreferenceScopeResolutionStrategyInfo.class);
    } else if ("org.dashbuilder.dataset.exception.DataSetLookupException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_exception_DataSetLookupException.class);
    } else if ("org.uberfire.java.nio.file.ClosedWatchServiceException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_java_nio_file_ClosedWatchServiceException.class);
    } else if ("org.uberfire.security.impl.authz.DefaultAuthorizationEntry".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_security_impl_authz_DefaultAuthorizationEntry.class);
    } else if ("org.uberfire.ext.services.shared.preferences.GridGlobalPreferences".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_services_shared_preferences_GridGlobalPreferences.class);
    } else if ("org.dashbuilder.dataset.date.TimeInstant".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_date_TimeInstant.class);
    } else if ("org.uberfire.ext.editor.commons.file.exports.PdfExportPreferences$Unit".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_file_exports_PdfExportPreferences_erraiD_Unit.class);
    } else if ("org.uberfire.ext.security.management.api.exception.UserAlreadyExistsException".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_security_management_api_exception_UserAlreadyExistsException.class);
    } else if ("org.uberfire.workbench.model.CompassPosition".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_model_CompassPosition.class);
    } else if ("org.uberfire.ext.editor.commons.file.exports.FileExportsPreferences".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_editor_commons_file_exports_FileExportsPreferences.class);
    } else if ("org.uberfire.preferences.shared.bean.mock.PortablePreferenceMock".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_preferences_shared_bean_mock_PortablePreferenceMock.class);
    } else if ("org.uberfire.ext.properties.editor.model.PropertyEditorType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_properties_editor_model_PropertyEditorType.class);
    } else if ("org.uberfire.ext.services.shared.preferences.UserPreferencesType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_ext_services_shared_preferences_UserPreferencesType.class);
    } else if ("org.uberfire.backend.plugin.PluginProcessor$PluginProcessorType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_backend_plugin_PluginProcessor_erraiD_PluginProcessorType.class);
    } else if ("org.dashbuilder.dataset.sort.SortOrder".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_sort_SortOrder.class);
    } else if ("org.dashbuilder.navigation.NavItem$Type".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_navigation_NavItem_erraiD_Type.class);
    } else if ("org.uberfire.workbench.events.NotificationEvent$NotificationType".equals(a0)) {
      m = GWT.create(Marshaller_for_org_uberfire_workbench_events_NotificationEvent_erraiD_NotificationType.class);
    } else if ("org.dashbuilder.dataset.date.TimeInstant$TimeMode".equals(a0)) {
      m = GWT.create(Marshaller_for_org_dashbuilder_dataset_date_TimeInstant_erraiD_TimeMode.class);
    }
    return putIfNotNull(a0, m);
  }

  public Marshaller getMarshaller(String a0) {
    if (a0 == null) {
      return null;
    }
    Marshaller m = marshallers.get(a0);
    if (m != null) {
      return m;
    } else if (loadMarshaller0(a0)) {
      return marshallers.get(a0);
    } else if (loadMarshaller1(a0)) {
      return marshallers.get(a0);
    } else if (loadMarshaller2(a0)) {
      return marshallers.get(a0);
    }
    return null;
  }

  public void registerMarshaller(String a0, Marshaller a1) {
    marshallers.put(a0, a1);
  }
}