package org.jboss.errai.marshalling.client.api;

import java.util.List;
import java.util.Map;
import org.dashbuilder.dataprovider.DataSetProviderType;
import org.dashbuilder.dataset.def.BeanDataSetDef;
import org.dashbuilder.dataset.def.DataSetDef;
import org.dashbuilder.dataset.filter.DataSetFilter;
import org.jboss.errai.marshalling.client.Marshalling;
import org.jboss.errai.marshalling.client.api.json.EJObject;
import org.jboss.errai.marshalling.client.api.json.EJValue;
import org.jboss.errai.marshalling.client.marshallers.ObjectMarshaller;

public class Marshaller_o_d_d_d_BeanDataSetDef_1_Impl implements GeneratedMarshaller<BeanDataSetDef> {
  private BeanDataSetDef[] EMPTY_ARRAY = new BeanDataSetDef[0];
  private Marshaller<String> java_lang_String = Marshalling.getMarshaller(String.class);
  private Marshaller<Map> java_util_Map = Marshalling.getMarshaller(Map.class);
  private Marshaller java_lang_Object = Marshalling.getMarshaller(Object.class);
  private Marshaller<List> java_util_List = Marshalling.getMarshaller(List.class);
  private Marshaller<DataSetFilter> org_dashbuilder_dataset_filter_DataSetFilter = null;
  private Marshaller<Boolean> java_lang_Boolean = Marshalling.getMarshaller(Boolean.class);
  private Marshaller<Integer> java_lang_Integer = Marshalling.getMarshaller(Integer.class);
  public BeanDataSetDef[] getEmptyArray() {
    return EMPTY_ARRAY;
  }

  native static boolean DataSetDef_boolean_isPublic(DataSetDef instance) /*-{
    return instance.@org.dashbuilder.dataset.def.DataSetDef::isPublic;
  }-*/;

  native static void DataSetDef_boolean_isPublic(DataSetDef instance, boolean value) /*-{
    instance.@org.dashbuilder.dataset.def.DataSetDef::isPublic = value;
  }-*/;

  native static Map DataSetDef_Map_patternMap(DataSetDef instance) /*-{
    return instance.@org.dashbuilder.dataset.def.DataSetDef::patternMap;
  }-*/;

  native static void DataSetDef_Map_patternMap(DataSetDef instance, Map<String, String> value) /*-{
    instance.@org.dashbuilder.dataset.def.DataSetDef::patternMap = value;
  }-*/;

  native static Map DataSetDef_Map_propertyMap(DataSetDef instance) /*-{
    return instance.@org.dashbuilder.dataset.def.DataSetDef::propertyMap;
  }-*/;

  native static void DataSetDef_Map_propertyMap(DataSetDef instance, Map<String, String> value) /*-{
    instance.@org.dashbuilder.dataset.def.DataSetDef::propertyMap = value;
  }-*/;

  public BeanDataSetDef demarshall(EJValue a0, MarshallingSession a1) {
    lazyInit();
    EJObject obj = a0.isObject();
    if (obj == null) {
      return null;
    }
    String objId = obj.get("^ObjectID").isString().stringValue();
    if (a1.hasObject(objId)) {
      return a1.getObject(BeanDataSetDef.class, objId);
    }
    BeanDataSetDef entity = new BeanDataSetDef();
    a1.recordObject(objId, entity);
    if ((obj.containsKey("generatorClass")) && (!obj.get("generatorClass").isNull())) {
      entity.setGeneratorClass(java_lang_String.demarshall(obj.get("generatorClass"), a1));
    }
    if ((obj.containsKey("paramaterMap")) && (!obj.get("paramaterMap").isNull())) {
      a1.setAssumedMapKeyType("java.lang.String");
      a1.setAssumedMapValueType("java.lang.String");
      entity.setParamaterMap(java_util_Map.demarshall(obj.get("paramaterMap"), a1));
      a1.resetAssumedTypes();
    }
    if ((obj.containsKey("UUID")) && (!obj.get("UUID").isNull())) {
      entity.setUUID(java_lang_String.demarshall(obj.get("UUID"), a1));
    }
    if ((obj.containsKey("name")) && (!obj.get("name").isNull())) {
      entity.setName(java_lang_String.demarshall(obj.get("name"), a1));
    }
    if ((obj.containsKey("provider")) && (!obj.get("provider").isNull())) {
      entity.setProvider((DataSetProviderType) ((ObjectMarshaller) java_lang_Object).demarshall(DataSetProviderType.class, obj.get("provider"), a1));
    }
    if ((obj.containsKey("columns")) && (!obj.get("columns").isNull())) {
      a1.setAssumedElementType("org.dashbuilder.dataset.def.DataColumnDef");
      entity.setColumns(java_util_List.demarshall(obj.get("columns"), a1));
    }
    if ((obj.containsKey("dataSetFilter")) && (!obj.get("dataSetFilter").isNull())) {
      entity.setDataSetFilter(org_dashbuilder_dataset_filter_DataSetFilter.demarshall(obj.get("dataSetFilter"), a1));
    }
    if ((obj.containsKey("isPublic")) && (!obj.get("isPublic").isNull())) {
      DataSetDef_boolean_isPublic(entity, java_lang_Boolean.demarshall(obj.get("isPublic"), a1));
    }
    if ((obj.containsKey("pushEnabled")) && (!obj.get("pushEnabled").isNull())) {
      entity.setPushEnabled(java_lang_Boolean.demarshall(obj.get("pushEnabled"), a1));
    }
    if ((obj.containsKey("pushMaxSize")) && (!obj.get("pushMaxSize").isNull())) {
      entity.setPushMaxSize(java_lang_Integer.demarshall(obj.get("pushMaxSize"), a1));
    }
    if ((obj.containsKey("cacheEnabled")) && (!obj.get("cacheEnabled").isNull())) {
      entity.setCacheEnabled(java_lang_Boolean.demarshall(obj.get("cacheEnabled"), a1));
    }
    if ((obj.containsKey("cacheMaxRows")) && (!obj.get("cacheMaxRows").isNull())) {
      entity.setCacheMaxRows(java_lang_Integer.demarshall(obj.get("cacheMaxRows"), a1));
    }
    if ((obj.containsKey("refreshTime")) && (!obj.get("refreshTime").isNull())) {
      entity.setRefreshTime(java_lang_String.demarshall(obj.get("refreshTime"), a1));
    }
    if ((obj.containsKey("refreshAlways")) && (!obj.get("refreshAlways").isNull())) {
      entity.setRefreshAlways(java_lang_Boolean.demarshall(obj.get("refreshAlways"), a1));
    }
    if ((obj.containsKey("allColumnsEnabled")) && (!obj.get("allColumnsEnabled").isNull())) {
      entity.setAllColumnsEnabled(java_lang_Boolean.demarshall(obj.get("allColumnsEnabled"), a1));
    }
    if ((obj.containsKey("patternMap")) && (!obj.get("patternMap").isNull())) {
      a1.setAssumedMapKeyType("java.lang.String");
      a1.setAssumedMapValueType("java.lang.String");
      DataSetDef_Map_patternMap(entity, java_util_Map.demarshall(obj.get("patternMap"), a1));
      a1.resetAssumedTypes();
    }
    if ((obj.containsKey("propertyMap")) && (!obj.get("propertyMap").isNull())) {
      a1.setAssumedMapKeyType("java.lang.String");
      a1.setAssumedMapValueType("java.lang.String");
      DataSetDef_Map_propertyMap(entity, java_util_Map.demarshall(obj.get("propertyMap"), a1));
      a1.resetAssumedTypes();
    }
    return entity;
  }

  native static boolean DataSetDef_boolean_pushEnabled(DataSetDef instance) /*-{
    return instance.@org.dashbuilder.dataset.def.DataSetDef::pushEnabled;
  }-*/;

  native static void DataSetDef_boolean_pushEnabled(DataSetDef instance, boolean value) /*-{
    instance.@org.dashbuilder.dataset.def.DataSetDef::pushEnabled = value;
  }-*/;

  native static boolean DataSetDef_boolean_cacheEnabled(DataSetDef instance) /*-{
    return instance.@org.dashbuilder.dataset.def.DataSetDef::cacheEnabled;
  }-*/;

  native static void DataSetDef_boolean_cacheEnabled(DataSetDef instance, boolean value) /*-{
    instance.@org.dashbuilder.dataset.def.DataSetDef::cacheEnabled = value;
  }-*/;

  native static boolean DataSetDef_boolean_refreshAlways(DataSetDef instance) /*-{
    return instance.@org.dashbuilder.dataset.def.DataSetDef::refreshAlways;
  }-*/;

  native static void DataSetDef_boolean_refreshAlways(DataSetDef instance, boolean value) /*-{
    instance.@org.dashbuilder.dataset.def.DataSetDef::refreshAlways = value;
  }-*/;

  native static boolean DataSetDef_boolean_allColumnsEnabled(DataSetDef instance) /*-{
    return instance.@org.dashbuilder.dataset.def.DataSetDef::allColumnsEnabled;
  }-*/;

  native static void DataSetDef_boolean_allColumnsEnabled(DataSetDef instance, boolean value) /*-{
    instance.@org.dashbuilder.dataset.def.DataSetDef::allColumnsEnabled = value;
  }-*/;

  public String marshall(BeanDataSetDef a0, MarshallingSession a1) {
    lazyInit();
    if (a0 == null) {
      return "null";
    }
    final boolean ref = a1.hasObject(a0);
    final StringBuilder json = new StringBuilder("{\"^EncodedType\":\"org.dashbuilder.dataset.def.BeanDataSetDef\",\"^ObjectID\"");
    json.append(":\"").append(a1.getObject(a0)).append("\"");
    if (ref) {
      return json.append("}").toString();
    }
    return json.append(",").append("\"generatorClass\":").append(java_lang_String.marshall(a0.getGeneratorClass(), a1)).append(",").append("\"paramaterMap\":").append(java_util_Map.marshall(a0.getParamaterMap(), a1)).append(",").append("\"UUID\":").append(java_lang_String.marshall(a0.getUUID(), a1)).append(",").append("\"name\":").append(java_lang_String.marshall(a0.getName(), a1)).append(",").append("\"provider\":").append(java_lang_Object.marshall(a0.getProvider(), a1)).append(",").append("\"columns\":").append(java_util_List.marshall(a0.getColumns(), a1)).append(",").append("\"dataSetFilter\":").append(org_dashbuilder_dataset_filter_DataSetFilter.marshall(a0.getDataSetFilter(), a1)).append(",").append("\"isPublic\":").append(java_lang_Boolean.marshall(DataSetDef_boolean_isPublic(a0), a1)).append(",").append("\"pushEnabled\":").append(java_lang_Boolean.marshall(DataSetDef_boolean_pushEnabled(a0), a1)).append(",").append("\"pushMaxSize\":").append(java_lang_Integer.marshall(a0.getPushMaxSize(), a1)).append(",").append("\"cacheEnabled\":").append(java_lang_Boolean.marshall(DataSetDef_boolean_cacheEnabled(a0), a1)).append(",").append("\"cacheMaxRows\":").append(java_lang_Integer.marshall(a0.getCacheMaxRows(), a1)).append(",").append("\"refreshTime\":").append(java_lang_String.marshall(a0.getRefreshTime(), a1)).append(",").append("\"refreshAlways\":").append(java_lang_Boolean.marshall(DataSetDef_boolean_refreshAlways(a0), a1)).append(",").append("\"allColumnsEnabled\":").append(java_lang_Boolean.marshall(DataSetDef_boolean_allColumnsEnabled(a0), a1)).append(",").append("\"patternMap\":").append(java_util_Map.marshall(DataSetDef_Map_patternMap(a0), a1)).append(",").append("\"propertyMap\":").append(java_util_Map.marshall(DataSetDef_Map_propertyMap(a0), a1)).append("}").toString();
  }

  private void lazyInit() {
    if (org_dashbuilder_dataset_filter_DataSetFilter == null) {
      org_dashbuilder_dataset_filter_DataSetFilter = Marshalling.getMarshaller(DataSetFilter.class);
    }
  }
}